Bug 1822381 - fix registry override issues with jenkins; leverage import by sha with disconnected
Summary: fix registry override issues with jenkins; leverage import by sha with discon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1824280
TreeView+ depends on / blocked
 
Reported: 2020-04-08 20:52 UTC by Gabe Montero
Modified: 2020-07-13 17:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: as part of providing disconnected support for sample in 4.2, samples operator had to allow for application of the samplesRegistry override to the CVO based jenkins imagestreams in order for the cvo install payload mirror to be used Consequence: that choice made use of samplesRegistry override in other scenarios more difficult, as the jenkins image spec from the CVO payload does not match analogous specs in quay.io or registry.redhat.io, which customers may have decided to mirror; plus the jenkins image on those registried breaks the special case support contract we have for the jenkins image as it being part of the base openshift install Fix: Now that the image registry can handle importing the jenkins imagestream when an install mirror is in place, the use of the samplesRegistry override is not longer need for the jenkins imagestreams Result: jenkins imagestream imports still work when the user uses samplesOverride to bring in the other samples imagestreams from somewhere other that registry.redhat.io
Clone Of:
: 1824280 1826028 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:26:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 260 0 None closed Bug 1822381: revert pr 177; no override jenkins* registry hosts for mirrors 2020-06-23 09:54:34 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:27:03 UTC

Description Gabe Montero 2020-04-08 20:52:53 UTC
So some recent customer pain with overriding the samples registry and dealing with the anomaly that is the jenkins images coming from the install payload,

Ben and I had a revisit of things in https://coreos.slack.com/archives/CE2HALN2W/p1586375746247600

The net:

- in 4.1, we used to prevent override of the jenkins imagestreams, cause we only supported those images when the come from the payload

- in 4.2 with disconnected, we did not yet have imagstream import by sha, so we had to allow jenkins imagestream override, and did so as part of https://bugzilla.redhat.com/show_bug.cgi?id=1744071 via https://github.com/openshift/cluster-samples-operator/pull/177/files

- we got imagestream import by sha in 4.3 ... which means we no longer need the changes from https://github.com/openshift/cluster-samples-operator/pull/177/files to get disconnected / mirroring to work

- however, in various customer engagements since 4.2, there has been confusion over the fact that registry override did not work in cases where customers mirrored jenkins images from quay.io or registry.redhat.io, since the reposistory and image names don't match

- in fact, we've updated docs around that

To summarize where Ben and I landed, we are going to revert https://github.com/openshift/cluster-samples-operator/pull/177/files with this bug

Comment 4 XiuJuan Wang 2020-04-10 02:59:33 UTC
jenkins,jenkins-agent-maven,jenkins-agent-nodejs imagestreams don't be overrided after setting samplesRegistry in 4.5.0-0.nightly-2020-04-09-192237 cluster

Comment 5 Gabe Montero 2020-04-10 14:44:57 UTC
@XiuJuan - can you do a basic disconnected run, where the install payload is mirrored, and we see the jenkins imagestream properly imported?

Comment 6 XiuJuan Wang 2020-04-13 03:39:55 UTC
@Gabe
Jenkins imagestreams could be imported successfully from payload in the disconnect cluster, and don't be overrided by samplesRegistry.

FYI, https://bugzilla.redhat.com/show_bug.cgi?id=1787112 & https://issues.redhat.com/browse/DEVEXP-483

Comment 7 Gabe Montero 2020-04-13 13:25:48 UTC
Thanks for confirming @XiuJuan

And also thanks for the reminder on the Jira story.  I'll ask there about closing that one out.

Comment 8 errata-xmlrpc 2020-07-13 17:26:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.